using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.StoragesContracts
{
    public interface ITransferStorage
    {
        List<TransferViewModel> GetFullList();
        List<TransferViewModel> GetFilteredList(TransferSearchModel model);
        TransferViewModel? GetElement(TransferSearchModel model);
        TransferViewModel? Insert(TransferBindingModel model);
        TransferViewModel? Update(TransferBindingModel model);
        TransferViewModel? Delete(TransferBindingModel model);
    }
}
